DELUSER(8)

NAMN
deluser, delgroup - ta bort en användare eller grupp från systemet

SYNOPSIS
deluser [--backup] [--backup-suffix str] [--backup-to katalog] [--conf fil] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
deluser [--system] [--backup] [--backup-suffix str] [--backup-to katalog] [--conf fil] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
deluser --group [--conf fil] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
delgroup [--system] [--conf fil] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
deluser [--conf fil] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user group
deluser --help
deluser --version

BESKRIVNING
deluser och delgroup tar bort användare och grupper från systemet enligt kommandoradsflaggor och konfigurationsinformation i /etc/deluser.conf och /etc/adduser.conf.

De är mer Debian-specifika frontend-program till programmen userdel och groupdel, som är mer distributionsoberoende. deluser och delgroup kan ta bort hemkatalogen som en flagga eller till och med alla filer på systemet som ägs av användaren som ska tas bort, köra ett anpassat skript och har andra funktioner.

För en fullständig lista och förklaringar av alla flaggor, se avsnittet FLAGGOR.

deluser och delgroup kan köras i ett av tre lägen:

  Ta bort en användare
Om deluser anropas med ett icke-flaggargument och utan flaggan --group, kommer B att ta bort en icke-systemanvändare.

Som standard kommer deluser att ta bort användaren utan att ta bort hemkatalogen, postkön eller andra filer på systemet som ägs av användaren. Ta bort hemkatalogen och postkön kan göras genom flaggan --remove-home.

Flaggan --remove-all-files tar bort alla filer på systemet som ägs av användaren. Observera att om du aktiverar båda flaggorna kommer --remove-home inte att ha någon ytterligare effekt eftersom alla filer, inklusive hemkatalogen och mailspoolen, redan omfattas av flaggan --remove-all-files.

Om du vill säkerhetskopiera alla filer innan du raderar dem kan du aktivera flaggan --backup, vilket skapar en fil username.tar(.gz|.bz2) i den katalog som anges av flaggan --backup-to.

Som standard komprimeras säkerhetskopieringsarkivet med gzip(1). För att ändra detta kan flaggan --backup-suffix ställas in på valfritt suffix som stöds av tar --auto-compress.

deluser kommer att vägra att ta bort root-kontot.

Om flaggan --system anges på kommandoraden utförs raderingen endast om användaren är en systemanvändare. Detta förhindrar att icke-systemanvändare raderas av misstag. Om användaren inte finns returneras dessutom inget felvärde. Debians paketunderhållsskript kan använda denna flagga för att ta bort systemanvändare eller grupper, samtidigt som de ignorerar fall där borttagningen redan har skett.

  Ta bort en grupp
Om deluser anropas med flaggan --group eller delgroup anropas, kommer en grupp att tas bort. Den primära gruppen för en befintlig användare kan inte tas bort. Om flaggan --only-if-empty anges kommer gruppen inte att tas bort om den har några medlemmar kvar.

Flaggan --system lägger till samma funktionalitet som för användare.

  Ta bort en användare från en specifik grupp
Om anropad med två icke-flaggor-argument kommer deluser att ta bort en användare från en specifik grupp.

FLAGGOR
Olika lägen för deluser en tillåter olika flaggor. Om inga giltiga lägen anges för en flagga accepteras det i alla lägen.

Korta versioner för vissa flaggor kan finnas av historiska skäl. De kommer att fortsätta att stödjas, men tas bort från dokumentationen. Användare rekommenderas att migrera till den långa versionen av flaggor.

--backup
    Säkerhetskopiera alla filer som finns i användarhemmet och mailspool-filen till en fil med namnet username.tar.bz2 eller username.tar.gz. Giltiga lägen: deluser, deluser --system.

--backup-suffix str
    Välj komprimeringsalgoritm för säkerhetskopiering av hemkatalogen. Kan ställas in på valfritt suffix som känns igen av tar --auto-compress. Standardinställningen är .gz. Giltiga lägen: deluser, deluser --system.

--backup-to dir
    Placera säkerhetskopiorna inte i den aktuella katalogen utan i dir. Detta ställer implicit också in --backup. Standardinställningen är den aktuella arbetskatalogen. Giltiga lägen: deluser, deluser --system.

--conf file
    Använd file istället för standardfilerna /etc/deluser.conf och /etc/adduser.conf. Flera --conf-flaggor kan anges.

--debug
    Synonymt med --stdoutmsglevel=debug. Föråldrat.

--group
    Ta bort en grupp. Detta är standardåtgärden om programmet startas som delgroup. Giltigt läge: deluser.

--help
    Visa korta instruktioner.

--only-if-empty
    Ta endast bort om inga medlemmar finns kvar. Giltiga lägen: deluser --group, delgroup.

--quiet
    Synonymt med --stdoutmsglevel=warn. Föråldrat.

--remove-all-files
    Ta bort alla filer från systemet som ägs av denna användare. Observera: --remove-home har ingen effekt längre. Om --backup anges, raderas filerna efter att säkerhetskopieringen har utförts. Giltiga lägen: deluser, deluser --system.

--remove-home
    Ta bort användarens hemkatalog och dess mailspool. Om --backup anges raderas filerna efter att säkerhetskopieringen har utförts. Giltiga lägen: deluser, deluser --system.

--system
    Ta endast bort om användaren/gruppen är en systemanvändare/grupp. Om användaren inte finns returneras inget felvärde. Giltiga lägen: deluser, deluser --system.

--verbose
    Synonymt med --stdoutmsglevel=info. Föråldrat.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Minsta prioritet för meddelanden som loggas till syslog/journal respektive konsolen. Värdena är trace, debug, info, warn, err och fatal. Meddelanden med den här prioriteten eller högre skrivs ut till respektive medium. Meddelanden som skrivs ut till stderr upprepas inte på stdout. Det gör det möjligt för den lokala administratören att styra adduser:s chattiness på konsolen och i loggen oberoende av varandra, så att förvirrande information hålls för sig själv medan användbar information fortfarande finns kvar i loggen.

--version
    Visa version och information om copyright.

LOGGNING
deluser använder omfattande och konfigurerbar loggning för att anpassa detaljeringsgraden efter systemadministratörens behov och önskemål. Detta fungerar på samma sätt som adduser. Se adduser(8) för alla detaljer.

RETURVÄRDEN
De exitvärden som dokumenteras i adduser(8) gäller även för deluser.

SÄKERHET
deluser behöver root-behörighet och erbjuder, via kommandoradsflaggan --conf, möjlighet att använda olika konfigurationsfiler. Använd inte sudo(8) eller liknande verktyg för att ge partiell behörighet till deluser med begränsade kommandoradsparametrar. Detta är lätt att kringgå och kan göra det möjligt för användare att få behörigheter som de inte ska ha. Om du vill göra detta bör du överväga att skriva ett eget wrapper-skript och ge behörighet att köra det skriptet.

FILER
/etc/deluser.conf Standardkonfigurationsfil för deluser(8) och delgroup(8)

/usr/local/sbin/deluser.local
    Valfria anpassade tillägg, se deluser.local(8)

SE OCKSÅ
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,